
QGIS Application - Feature request #1156

Purge negative id on selection when commit

2008-07-15 12:57 AM - beltegeuse -

Status: Closed

Priority: Low

Assignee: nobody -

Category: C++ Plugins

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 11216

Description

    -  You select added features (they have negative id).

    -  You commit change (commit attribute positive id to added features)

    but your mSelectedFeatureIds haven't updated and have always

    negative Id in mSelectedFeatureIds.

    -  If the user doesn't reselect features, you have a segmentation

    fault because if you do a iteration on mSelectedFeatures there are

    wrong id.

Possible solutions :

    -  Erase all negative ids in commitChanges

Advantage : easy to do

Disadvantage: user's selection change when he commit

    -  Provider return new id of added feature and replace in

    mSelectedFeatureIds.

Advantage :  no change for user when he commit.

Disadvantage : more change to do in code.

History

#1 - 2008-07-15 01:36 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

Applied in

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted

2025-03-14 1/1


